Bug 523147 (CVE-2007-6732)

Summary: CVE-2007-6732 xmp: Buffer overflow in DTT file loader
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: dominik
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://aluigi.altervista.org/adv/xmpbof-adv.txt
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-10-09 13:26:06 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jan Lieskovsky 2009-09-14 09:00:43 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-200-6732 to
the following vulnerability:

Multiple buffer overflows in the dtt_load function in
loaders/dtt_load.c Extended Module Player (XMP) 2.5.1 and earlier
allow remote attackers to execute arbitrary code via unspecified
vectors related to an untrusted length value and the (1) pofs and (2)
plen arrays.

References:
-----------
http://aluigi.altervista.org/adv/xmpbof-adv.txt
http://www.securityfocus.com/bid/27047
http://www.vupen.com/english/advisories/2008/0009

PoC: 
---
http://aluigi.org/poc/xmpbof.zip (a.out 2 out.dtt)

Upstream status -- issued addressed in xmp-2.6.0:
-------------------------------------------------

http://sourceforge.net/project/shownotes.php?group_id=26422&release_id=692238

Credit: 
-------
Luigi Auriemma

Comment 1 Jan Lieskovsky 2009-09-14 09:01:20 UTC
This issue affects the versions of xmp package, as shipped with
Fedora releases of 10 and 11 (xmp-2.5.1-3.fc10 and xmp-2.5.1-4.fc11).

Please fix.

Comment 2 Dominik 'Rathann' Mierzejewski 2009-09-14 15:40:19 UTC
Thanks for the report. I'm working on an update.

Comment 3 Fedora Update System 2009-09-14 23:51:32 UTC
xmp-2.7.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xmp-2.7.1-1.fc11

Comment 4 Fedora Update System 2009-09-14 23:59:06 UTC
xmp-2.7.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xmp-2.7.1-1.fc10

Comment 5 Fedora Update System 2009-09-24 05:14:47 UTC
xmp-2.7.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2009-09-24 05:22:27 UTC
xmp-2.7.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.